Bug 1990094 (CVE-2021-22147) - CVE-2021-22147 elasticsearch: document and field level security was not applied to searchable snapshots
Summary: CVE-2021-22147 elasticsearch: document and field level security was not appli...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-22147
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1990095
TreeView+ depends on / blocked
 
Reported: 2021-08-04 18:07 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-09-05 02:33 UTC (History)
59 users (show)

Fixed In Version: elasticsearch 7.14.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-05 02:33:21 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-08-04 18:07:36 UTC
A flaw was discovered in Elasticsearch where document and field level security was not applied to searchable snapshots. This could lead to an authenticated user gaining access to information that they are unauthorized to view.

Reference:
https://discuss.elastic.co/t/elastic-stack-7-14-0-security-update/280344

Comment 1 Jonathan Christison 2021-08-05 15:19:54 UTC
This vulnerability is out of security support scope for the following products:

 * Red Hat JBoss Data Grid 6
 * Red Hat JBoss Fuse 6
 * Red Hat JBoss Fuse Service Works 6
 * Red Hat JBoss BRMS 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 3 juneau 2021-08-09 16:27:33 UTC
Marking services "notaffected" per ./#/task/1990095#comment4 as the feature is only included in a paid/licensed extension.

Comment 6 Product Security DevOps Team 2021-09-05 02:33:21 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-22147


Note You need to log in before you can comment on or make changes to this bug.